<!-- prettier-ignore-start -->
# Class JobProcessMonitor

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.system.JobProcessMonitor](dw.system.JobProcessMonitor.md)

**_Reserved for future use_**.


## Property Summary

| Property | Description |
| --- | --- |
| [totalWork](#totalwork): [Number](TopLevel.Number.md) | **_Reserved for future use_**. |
| [workMessage](#workmessage): [String](TopLevel.String.md) | **_Reserved for future use_**. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getTotalWork](dw.system.JobProcessMonitor.md#gettotalwork)() | **_Reserved for future use_**. |
| [getWorkMessage](dw.system.JobProcessMonitor.md#getworkmessage)() | **_Reserved for future use_**. |
| [setTotalWork](dw.system.JobProcessMonitor.md#settotalworknumber)([Number](TopLevel.Number.md)) | **_Reserved for future use_**. |
| [setWorkMessage](dw.system.JobProcessMonitor.md#setworkmessagestring)([String](TopLevel.String.md)) | **_Reserved for future use_**. |
| [worked](dw.system.JobProcessMonitor.md#workednumber)([Number](TopLevel.Number.md)) | **_Reserved for future use_**. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### totalWork
- totalWork: [Number](TopLevel.Number.md)
  - : **_Reserved for future use_**. Gets the total work count.


---

### workMessage
- workMessage: [String](TopLevel.String.md)
  - : **_Reserved for future use_**. Gets the work message.


---

## Method Details

### getTotalWork()
- getTotalWork(): [Number](TopLevel.Number.md)
  - : **_Reserved for future use_**. Gets the total work count.

    **Returns:**
    - the total work count.


---

### getWorkMessage()
- getWorkMessage(): [String](TopLevel.String.md)
  - : **_Reserved for future use_**. Gets the work message.

    **Returns:**
    - the work message.


---

### setTotalWork(Number)
- setTotalWork(totalWork: [Number](TopLevel.Number.md)): void
  - : **_Reserved for future use_**. Sets the total work count.

    **Parameters:**
    - totalWork - the total work count.


---

### setWorkMessage(String)
- setWorkMessage(msg: [String](TopLevel.String.md)): void
  - : **_Reserved for future use_**. Sets the work message.

    **Parameters:**
    - msg - the messageto use. If msg is null, then an empty string will  be used.


---

### worked(Number)
- worked(worked: [Number](TopLevel.Number.md)): void
  - : **_Reserved for future use_**. Increments the count of work items by the value of the specified
      parameter.


    **Parameters:**
    - worked - the number of items worked.


---

<!-- prettier-ignore-end -->
